### Method

# Gtk TreeViewmap_expanded_rows

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_map_expanded_rows (
      GtkTreeView* tree_view,
      GtkTreeViewMappingFunc func,
      gpointer data
    )

#### Description [src]

Calls `func` on all expanded rows.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`func`

  Type: `GtkTreeViewMappingFunc`

  A function to be called.

`data`

  Type: `gpointer`

  User data to be passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.